curl --request POST \
--url https://kms.{region}.basaltic.sh/v1/keys/{key_id}/decrypt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ciphertext": "AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA==",
"aad": "YWNjb3VudC1pZD0xMjM0"
}
'import requests
url = "https://kms.{region}.basaltic.sh/v1/keys/{key_id}/decrypt"
payload = {
"ciphertext": "AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA==",
"aad": "YWNjb3VudC1pZD0xMjM0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ciphertext: 'AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA==',
aad: 'YWNjb3VudC1pZD0xMjM0'
})
};
fetch('https://kms.{region}.basaltic.sh/v1/keys/{key_id}/decrypt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plaintext": "c3VwZXItc2VjcmV0LXZhbHVl"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Descifrar un texto cifrado
kms:Decrypt. Consulte permisos de KMS para obtener la lista completa, lo que cubre cada uno y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
"3f8a1c2e-9b47-4d6a-bc11-0e2f5a7d9c41"
Cuerpo
Texto cifrado codificado en Base64 producido por Encrypt.
"AQIDBHByb2QtbWFzdGVyL2VuY3J5cHRlZA=="
AAD codificado en base64 opcional. Debe coincidir con lo que se proporcionó en Encrypt — un valor diferente falla la comprobación de etiqueta.
"YWNjb3VudC1pZD0xMjM0"
Respuesta
Texto sin formato
Texto sin formato codificado en Base64.
"c3VwZXItc2VjcmV0LXZhbHVl"

